
QGIS Application - Bug report #13284

Buffering using buffer distance field hangs, gives no result

2015-08-30 08:50 PM - Jan D

Status: Closed

Priority: Low

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.8.2 Regression?:

Operating System: Windows Easy fix?:

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 21343

Description

On Windows 7 64 bit. Problem occurs on QGIS 2.6, 2.8.2, and 2.10.1 all installed on the same machine. I don't have another machine to

test.

Steps to reproduce:

1. Use any shapefile with multiple features. Attached shapefile (testshapefile.shp) is example.

2. Select one feature.

3. Open Vector->Geoprocessing Tools->Buffer.

4. Select testshapefile.shp as the input vector layer, checkmark "Use only selected features", select radio "buffer distance field", select

field with buffer distances (field name buffdist in the attached example), checkmark "Dissolve buffer results", choose output shapefile

name, checkmark "Add result to canvas". Press ok.

5. Nothing happens, and the buffer dialog remains open, Ok button is greyed out. Waited 10 minutes, still nothing. If I hit the cancel

button, the output shapefile is produced, but it is empty of features.

History

#1 - 2015-08-30 08:53 PM - Jan D

- File testshapefile.zip added

#2 - 2015-08-30 09:49 PM - Jan D

Buffering seems to work if I don't checkmark the "Use only selected features" option.

#3 - 2015-09-13 05:04 AM - Saber Razmjooei

- Priority changed from High to Low

- Status changed from Open to Feedback

- Category set to 44

I can't replicate your problem. It buffers instantly.

Also, your shapefile is not "topologically correct". There are overlapping features.

#4 - 2015-09-13 05:04 AM - Saber Razmjooei

Consider, upgrading to 2.8.3

#5 - 2015-10-12 10:40 AM - Saber Razmjooei
- Status changed from Feedback to Closed

- Resolution set to worksforme

#6 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

testshapefile.zip 1.95 KB 2015-08-30 Jan D
